* {
  cursor: pointer;
  -webkit-appearance: none;
}

.wrapper {
  position: absolute;
  top: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  overflow: hidden;
  width: 7.5rem;
  height: 6rem;
}

.wrapper .tabletClick {
  cursor: pointer;
  z-index: 10;
  position: absolute;
  width: 3rem;
  height: 5.06rem;
  top: 0;
  left: 2.25rem;
}

.wrapper .floatArea {
  position: relative;
  margin: 0 auto;
  top: 1.69rem;
  width: 4.68rem;
  height: 1.79rem;
}

.wrapper .floatArea .tablet {
  position: absolute;
  width: 3.76rem;
  height: 5.06rem;
  top: -1.58rem;
  left: 0.49rem;
  -webkit-animation: float2 5.5s infinite;
  animation: float2 5.5s infinite;
}

.wrapper .floatArea .left {
  position: absolute;
  width: 1.58rem;
  height: 1.79rem;
  top: 0;
  left: 0;
}

.wrapper .floatArea .right {
  position: absolute;
  width: 1.6rem;
  height: 1.78rem;
  top: 0;
  right: 0;
}

.wrapper .floatArea .floatCard {
  position: absolute;
}

.wrapper .floatArea .l1 {
  bottom: 0;
  right: 0;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240705/f2b3a2c3b214c05505a5a016d668b431/KKvRiZyKjL.png") center/contain no-repeat;
}

.wrapper .floatArea .l2 {
  bottom: 0.04rem;
  right: 0.39rem;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240705/f2b3a2c3b214c05505a5a016d668b431/7ZB9DZkOso.png") center/contain no-repeat;
}

.wrapper .floatArea .l3 {
  top: 0;
  left: 0;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240705/f2b3a2c3b214c05505a5a016d668b431/4bXpgSvmdb.png") center/contain no-repeat;
}

.wrapper .floatArea .r1 {
  bottom: 0;
  left: 0;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240705/f2b3a2c3b214c05505a5a016d668b431/KkIUNEqqTo.png") center/contain no-repeat;
}

.wrapper .floatArea .r2 {
  bottom: 0.04rem;
  left: 0.42rem;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240705/f2b3a2c3b214c05505a5a016d668b431/kPpkfOHHV7.png") center/contain no-repeat;
}

.wrapper .floatArea .r3 {
  top: 0;
  right: 0;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240705/f2b3a2c3b214c05505a5a016d668b431/SA1dUrzmOa.png") center/contain no-repeat;
}

.wrapper .floatArea .l3,
.wrapper .floatArea .r3 {
  width: 0.98rem;
  height: 1.65rem;
  z-index: 3;
  -webkit-animation: float3 4s infinite;
  animation: float3 4s infinite;
}

.wrapper .floatArea .l2,
.wrapper .floatArea .r2 {
  width: 0.63rem;
  height: 1.08rem;
  z-index: 2;
  -webkit-animation: float2 4s infinite;
  animation: float2 4s infinite;
}

.wrapper .floatArea .l1,
.wrapper .floatArea .r1 {
  width: 0.34rem;
  height: 1rem;
  z-index: 1;
  -webkit-animation: float1 4s infinite;
  animation: float1 4s infinite;
}

.wrapper .container {
  top: 0.7rem;
  position: absolute;
  z-index: 5;
  left: -1rem;
  width: 9.5rem;
  -webkit-animation: float4 3s infinite;
  animation: float4 3s infinite;
}

.wrapper .container .card {
  position: relative;
  margin: 0 auto;
  width: 2.69rem;
  height: 3.5rem;
  color: #fff;
  font-size: 0.24rem;
}

.wrapper .container .card .cardInfo {
  margin: 0 auto 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
  background-position: center;
  background-size: 100%;
  background-repeat: no-repeat;
}

.active,
.next {
  -webkit-animation: fade .6s;
  animation: fade .6s;
}

@media screen and (max-height: 587px) {
  .infoPop {
    width: 6rem !important;
    height: 9.4rem !important;
  }

  .infoPop .closeBtn {
    width: 0.676rem !important;
    height: 0.718rem !important;
  }

  .infoPop .infoPopItem {
    width: 1.448rem !important;
    height: 1.232rem !important;
    margin-right: -0.34rem !important;
  }
}

.infoPop {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  width: 7.5rem;
  height: 11.75rem;
  background-position: top center;
  background-size: contain;
  background-repeat: no-repeat;
}

.infoPop .closeBtn {
  position: absolute;
  right: 0.05rem;
  top: 0.62rem;
  width: 0.845rem;
  height: 0.898rem;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20240628/f2b3a2c3b214c05505a5a016d668b431/P67rsmJ585.png") center/contain no-repeat;
}

.infoPop .infoPopList {
  position: absolute;
  left: 0;
  bottom: 0.98rem;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-align-content: flex-end;
  -ms-flex-line-pack: end;
  align-content: flex-end;
}

.infoPop .infoPopItem {
  width: 1.81rem;
  height: 1.54rem;
  margin-right: -0.42rem;
  cursor: pointer;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.infoPop .infoPopItem:nth-of-type(1) {
  margin-right: 5.69rem !important;
}

.infoPop .infoPopItem:nth-of-type(1),
.infoPop .infoPopItem:nth-of-type(6),
.infoPop .infoPopItem:nth-of-type(11) {
  margin-left: 0.06rem;
}

@-webkit-keyframes float1 {
  0% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }

  50% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }

  100% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }
}

@keyframes float1 {
  0% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }

  50% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }

  100% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }
}

@-webkit-keyframes float2 {
  0% {
    -webkit-transform: translateY(-0.07rem);
    transform: translateY(-0.07rem);
  }

  50% {
    -webkit-transform: translateY(0.04rem);
    transform: translateY(0.04rem);
  }

  100% {
    -webkit-transform: translateY(-0.07rem);
    transform: translateY(-0.07rem);
  }
}

@keyframes float2 {
  0% {
    -webkit-transform: translateY(-0.07rem);
    transform: translateY(-0.07rem);
  }

  50% {
    -webkit-transform: translateY(0.04rem);
    transform: translateY(0.04rem);
  }

  100% {
    -webkit-transform: translateY(-0.07rem);
    transform: translateY(-0.07rem);
  }
}

@-webkit-keyframes float3 {
  0% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }

  50% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }

  100% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }
}

@keyframes float3 {
  0% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }

  50% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }

  100% {
    -webkit-transform: translateY(0.07rem);
    transform: translateY(0.07rem);
  }
}

@-webkit-keyframes float4 {
  0% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }

  50% {
    -webkit-transform: translateY(0.04rem);
    transform: translateY(0.04rem);
  }

  100% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }
}

@keyframes float4 {
  0% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }

  50% {
    -webkit-transform: translateY(0.04rem);
    transform: translateY(0.04rem);
  }

  100% {
    -webkit-transform: translateY(-0.04rem);
    transform: translateY(-0.04rem);
  }
}

@-webkit-keyframes fade {
  0% {
    opacity: 1;
  }

  10% {
    opacity: .6;
  }

  30% {
    opacity: 1;
  }

  50% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
  }

  100% {
    opacity: 1;
  }
}

@keyframes fade {
  0% {
    opacity: 1;
  }

  10% {
    opacity: .6;
  }

  30% {
    opacity: 1;
  }

  50% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
  }

  100% {
    opacity: 1;
  }
}
@font-face {
  font-family: "swiper-icons";
  src: url("data:application/font-woff;charset=utf-8;base64, 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");
  font-weight: 400;
  font-style: normal;
}

:root {
  --swiper-theme-color: #007aff;
}

:host {
  position: relative;
  display: block;
  margin-left: auto;
  margin-right: auto;
  z-index: 1;
}

.swiper {
  margin-left: auto;
  margin-right: auto;
  position: relative;
  overflow: hidden;
  list-style: none;
  padding: 0;
  z-index: 1;
  display: block;
}

.swiper-vertical>.swiper-wrapper {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
}

.swiper-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  z-index: 1;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-transition-property: -webkit-transform;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform, -webkit-transform;
  -webkit-transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
  transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
}

.swiper-android .swiper-slide,
.swiper-ios .swiper-slide,
.swiper-wrapper {
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.swiper-horizontal {
  -ms-touch-action: pan-y;
  touch-action: pan-y;
}

.swiper-vertical {
  -ms-touch-action: pan-x;
  touch-action: pan-x;
}

.swiper-slide {
  -webkit-flex-shrink: 0;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  width: 100%;
  height: 100%;
  position: relative;
  -webkit-transition-property: -webkit-transform;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform, -webkit-transform;
  display: block;
}

.swiper-slide-invisible-blank {
  visibility: hidden;
}

.swiper-autoheight,
.swiper-autoheight .swiper-slide {
  height: auto;
}

.swiper-autoheight .swiper-wrapper {
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-transition-property: height,-webkit-transform;
  transition-property: height,-webkit-transform;
  transition-property: transform,height;
  transition-property: transform,height,-webkit-transform;
}

.swiper-backface-hidden .swiper-slide {
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.swiper-3d.swiper-css-mode .swiper-wrapper {
  -webkit-perspective: 12rem;
  perspective: 12rem;
}

.swiper-3d .swiper-wrapper {
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.swiper-3d {
  -webkit-perspective: 12rem;
  perspective: 12rem;
}

.swiper-3d .swiper-slide,
.swiper-3d .swiper-cube-shadow {
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
}

.swiper-css-mode>.swiper-wrapper {
  overflow: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.swiper-css-mode>.swiper-wrapper::-webkit-scrollbar {
  display: none;
}

.swiper-css-mode>.swiper-wrapper>.swiper-slide {
  scroll-snap-align: start start;
}

.swiper-css-mode.swiper-horizontal>.swiper-wrapper {
  -ms-scroll-snap-type: x mandatory;
  scroll-snap-type: x mandatory;
}

.swiper-css-mode.swiper-vertical>.swiper-wrapper {
  -ms-scroll-snap-type: y mandatory;
  scroll-snap-type: y mandatory;
}

.swiper-css-mode.swiper-free-mode>.swiper-wrapper {
  -ms-scroll-snap-type: none;
  scroll-snap-type: none;
}

.swiper-css-mode.swiper-free-mode>.swiper-wrapper>.swiper-slide {
  scroll-snap-align: none;
}

.swiper-css-mode.swiper-centered>.swiper-wrapper::before {
  content: "";
  -webkit-flex-shrink: 0;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  -webkit-box-ordinal-group: 10000;
  -webkit-order: 9999;
  -ms-flex-order: 9999;
  order: 9999;
}

.swiper-css-mode.swiper-centered>.swiper-wrapper>.swiper-slide {
  scroll-snap-align: center center;
  scroll-snap-stop: always;
}

.swiper-css-mode.swiper-centered.swiper-horizontal>.swiper-wrapper>.swiper-slide:first-child {
  -webkit-margin-start: var(--swiper-centered-offset-before);
  margin-inline-start: var(--swiper-centered-offset-before);
}

.swiper-css-mode.swiper-centered.swiper-horizontal>.swiper-wrapper::before {
  height: 100%;
  min-height: 0.01rem;
  width: var(--swiper-centered-offset-after);
}

.swiper-css-mode.swiper-centered.swiper-vertical>.swiper-wrapper>.swiper-slide:first-child {
  -webkit-margin-before: var(--swiper-centered-offset-before);
  margin-block-start: var(--swiper-centered-offset-before);
}

.swiper-css-mode.swiper-centered.swiper-vertical>.swiper-wrapper::before {
  width: 100%;
  min-width: 0.01rem;
  height: var(--swiper-centered-offset-after);
}

.swiper-3d .swiper-slide-shadow,
.swiper-3d .swiper-slide-shadow-left,
.swiper-3d .swiper-slide-shadow-right,
.swiper-3d .swiper-slide-shadow-top,
.swiper-3d .swiper-slide-shadow-bottom,
.swiper-3d .swiper-slide-shadow,
.swiper-3d .swiper-slide-shadow-left,
.swiper-3d .swiper-slide-shadow-right,
.swiper-3d .swiper-slide-shadow-top,
.swiper-3d .swiper-slide-shadow-bottom {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 10;
}

.swiper-3d .swiper-slide-shadow {
  background: rgba(0,0,0,.15);
}

.swiper-3d .swiper-slide-shadow-left {
  background-image: -webkit-gradient(linear, right top, left top, from(rgba(0, 0, 0, 0.5)), to(rgba(0, 0, 0, 0)));
  background-image: -webkit-linear-gradient(right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  background-image: linear-gradient(to left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-3d .swiper-slide-shadow-right {
  background-image: -webkit-gradient(linear, left top, right top, from(rgba(0, 0, 0, 0.5)), to(rgba(0, 0, 0, 0)));
  background-image: -webkit-linear-gradient(left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-3d .swiper-slide-shadow-top {
  background-image: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.5)), to(rgba(0, 0, 0, 0)));
  background-image: -webkit-linear-gradient(bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  background-image: linear-gradient(to top, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-3d .swiper-slide-shadow-bottom {
  background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, 0.5)), to(rgba(0, 0, 0, 0)));
  background-image: -webkit-linear-gradient(top, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-lazy-preloader {
  width: 0.42rem;
  height: 0.42rem;
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -0.21rem;
  margin-top: -0.21rem;
  z-index: 10;
  -webkit-transform-origin: 50%;
  transform-origin: 50%;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border: 0.04rem solid var(--swiper-preloader-color, var(--swiper-theme-color));
  border-radius: 50%;
  border-top-color: transparent;
}

.swiper:not(.swiper-watch-progress) .swiper-lazy-preloader,
.swiper-watch-progress .swiper-slide-visible .swiper-lazy-preloader {
  -webkit-animation: swiper-preloader-spin 1s infinite linear;
  animation: swiper-preloader-spin 1s infinite linear;
}

.swiper-lazy-preloader-white {
  --swiper-preloader-color: #fff;
}

.swiper-lazy-preloader-black {
  --swiper-preloader-color: #000;
}

@-webkit-keyframes swiper-preloader-spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes swiper-preloader-spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
:root {
  --adm-radius-s: 0.04rem;
  --adm-radius-m: 0.08rem;
  --adm-radius-l: 0.12rem;
  --adm-font-size-1: 0.09rem;
  --adm-font-size-2: 0.1rem;
  --adm-font-size-3: 0.11rem;
  --adm-font-size-4: 0.12rem;
  --adm-font-size-5: 0.13rem;
  --adm-font-size-6: 0.14rem;
  --adm-font-size-7: 0.15rem;
  --adm-font-size-8: 0.16rem;
  --adm-font-size-9: 0.17rem;
  --adm-font-size-10: 0.18rem;
  --adm-color-primary: #1677ff;
  --adm-color-success: #00b578;
  --adm-color-warning: #ff8f1f;
  --adm-color-danger: #ff3141;
  --adm-color-yellow: #ff9f18;
  --adm-color-orange: #ff6430;
  --adm-color-wathet: #e7f1ff;
  --adm-color-text: #333333;
  --adm-color-text-secondary: #666666;
  --adm-color-weak: #999999;
  --adm-color-light: #cccccc;
  --adm-color-border: #eeeeee;
  --adm-color-background: #ffffff;
  --adm-color-highlight: var(--adm-color-danger);
  --adm-color-white: #ffffff;
  --adm-color-box: #f5f5f5;
  --adm-color-text-light-solid: var(--adm-color-white);
  --adm-color-text-dark-solid: #000000;
  --adm-color-fill-content: var(--adm-color-box);
  --adm-font-size-main: var(--adm-font-size-5);
  --adm-font-family: -apple-system, blinkmacsystemfont, "Helvetica Neue", helvetica, segoe ui, arial, roboto, "PingFang SC", "miui", "Hiragino Sans GB", "Microsoft Yahei", sans-serif;
  --adm-border-color: var(--adm-color-border);
}

html[data-prefers-color-scheme=dark] {
  --adm-color-primary: #3086ff;
  --adm-color-success: #34b368;
  --adm-color-warning: #ffa930;
  --adm-color-danger: #ff4a58;
  --adm-color-yellow: #ffa930;
  --adm-color-orange: #e65a2b;
  --adm-color-wathet: #0d2543;
  --adm-color-text: #e6e6e6;
  --adm-color-text-secondary: #b3b3b3;
  --adm-color-weak: #808080;
  --adm-color-light: #4d4d4d;
  --adm-color-border: #2b2b2b;
  --adm-color-box: #0a0a0a;
  --adm-color-background: #1a1a1a;
  --adm-color-background-body: var(--adm-color-background);
  --adm-border-color: var(--adm-color-border);
}

:root {
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}

html {
  background-color: var(--adm-color-background-body);
}

body {
  color: var(--adm-color-text);
  font-size: var(--adm-font-size-main);
  font-family: var(--adm-font-family);
}

a,
button {
  cursor: pointer;
}

a {
  color: var(--adm-color-primary);
  -webkit-transition: opacity ease-in-out .2s;
  transition: opacity ease-in-out .2s;
}

a:active {
  opacity: .8;
}

.adm-plain-anchor {
  color: unset;
  -webkit-transition: none;
  transition: none;
}

.adm-plain-anchor:active {
  opacity: unset;
}

body.adm-overflow-hidden {
  overflow: hidden !important;
}

div.adm-px-tester {
  --size: 1;
  height: calc(var(--size)/2*0.02rem);
  width: 0;
  position: fixed;
  left: -100vw;
  top: -100vh;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
}
.adm-modal {
  --z-index: var(--adm-modal-z-index, 1000);
  ---z-index: var(--z-index);
}

.adm-modal .adm-center-popup {
  --z-index: var(---z-index);
}

.adm-modal-body {
  width: 100%;
  max-height: 70vh;
  font-size: var(--adm-font-size-6);
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
}

.adm-modal-body>* {
  -webkit-box-flex: 0;
  -webkit-flex: none;
  -ms-flex: none;
  flex: none;
}

.adm-modal-body>.adm-modal-content {
  -webkit-box-flex: 1;
  -webkit-flex: auto;
  -ms-flex: auto;
  flex: auto;
}

.adm-modal-body:not(.adm-modal-with-image) {
  padding-top: 0.2rem;
}

.adm-modal-image-container {
  margin-bottom: 0.12rem;
  max-height: 40vh;
  overflow-y: scroll;
}

.adm-modal-header {
  margin-bottom: 0.08rem;
  padding: 0 0.12rem;
}

.adm-modal-title {
  margin-bottom: 0.08rem;
  padding: 0 0.12rem;
  font-weight: bold;
  font-size: var(--adm-font-size-10);
  line-height: 0.25rem;
  text-align: center;
}

.adm-modal-content {
  padding: 0 0.12rem 0.12rem;
  max-height: 70vh;
  overflow-x: hidden;
  overflow-y: auto;
  font-size: var(--adm-font-size-7);
  line-height: 1.4;
  color: var(--adm-color-text);
}

.adm-modal-footer {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0.08rem 0.12rem 0.12rem;
}

.adm-modal-footer-empty {
  padding: 0;
  height: 0.08rem;
}

.adm-modal-footer.adm-space {
  --gap-vertical: 0.2rem;
}

.adm-modal-footer .adm-modal-button {
  font-size: var(--adm-font-size-10);
  line-height: 0.25rem;
}

.adm-modal-footer .adm-modal-button:not(.adm-modal-button-primary) {
  padding-top: 0;
  padding-bottom: 0;
}

.adm-modal-footer .adm-modal-button:not(.adm-modal-button-primary)::before {
  display: none;
}

.adm-modal-footer .adm-modal-button:not(.adm-modal-button-primary):active {
  opacity: .7;
}
.adm-button {
  --color: var(--adm-color-text-light-solid);
  --text-color: var(--adm-button-text-color, var(--adm-color-text));
  --background-color: var(--adm-button-background-color, var(--adm-color-background));
  --border-radius: var(--adm-button-border-radius, 0.04rem);
  --border-width: var(--adm-button-border-width, 0.01rem);
  --border-style: var(--adm-button-border-style, solid);
  --border-color: var(--adm-button-border-color, var(--adm-color-border));
  color: var(--text-color);
  background-color: var(--background-color);
  position: relative;
  display: inline-block;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  height: auto;
  padding: 0.07rem 0.12rem;
  margin: 0;
  font-size: var(--adm-font-size-9);
  line-height: 1.4;
  text-align: center;
  border: var(--border-width) var(--border-style) var(--border-color);
  border-radius: var(--border-radius);
  cursor: pointer;
  -webkit-transition: opacity ease .15s;
  transition: opacity ease .15s;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.adm-button:focus {
  outline: none;
}

.adm-button::before {
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transform: translate(calc(var(--border-width) * -1), calc(var(--border-width) * -1));
  transform: translate(calc(var(--border-width) * -1), calc(var(--border-width) * -1));
  width: 100%;
  height: 100%;
  background-color: var(--adm-color-text-dark-solid);
  border: var(--border-width) var(--border-style) var(--adm-color-text-dark-solid);
  border-radius: var(--border-radius);
  opacity: 0;
  content: " ";
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
}

.adm-button:active::before {
  opacity: .08;
}

.adm-button-default.adm-button-fill-outline {
  --background-color: transparent;
  --border-color: var(--adm-color-text);
}

.adm-button-default.adm-button-fill-none {
  --background-color: transparent;
  --border-width: 0;
}

.adm-button:not(.adm-button-default) {
  --text-color: var(--adm-color-text-light-solid);
  --background-color: var(--color);
  --border-color: var(--color);
}

.adm-button:not(.adm-button-default).adm-button-fill-outline {
  --text-color: var(--color);
  --background-color: transparent;
}

.adm-button:not(.adm-button-default).adm-button-fill-none {
  --text-color: var(--color);
  --background-color: transparent;
  --border-width: 0;
}

.adm-button-primary {
  --color: var(--adm-color-primary);
}

.adm-button-success {
  --color: var(--adm-color-success);
}

.adm-button-danger {
  --color: var(--adm-color-danger);
}

.adm-button-warning {
  --color: var(--adm-color-warning);
}

.adm-button-block {
  display: block;
  width: 100%;
}

.adm-button-disabled {
  cursor: not-allowed;
  opacity: .4;
}

.adm-button-disabled:active::before {
  display: none;
}

.adm-button.adm-button-mini {
  padding-top: 0.03rem;
  padding-bottom: 0.03rem;
  font-size: var(--adm-font-size-main);
}

.adm-button.adm-button-mini.adm-button-shape-rounded {
  padding-left: 0.09rem;
  padding-right: 0.09rem;
}

.adm-button.adm-button-small {
  padding-top: 0.03rem;
  padding-bottom: 0.03rem;
  font-size: var(--adm-font-size-7);
}

.adm-button.adm-button-large {
  padding-top: 0.11rem;
  padding-bottom: 0.11rem;
  font-size: var(--adm-font-size-10);
}

.adm-button.adm-button-shape-rounded {
  --border-radius: 10rem;
}

.adm-button.adm-button-shape-rectangular {
  --border-radius: 0;
}

.adm-button-loading {
  vertical-align: bottom;
}

.adm-button-loading-wrapper {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  height: 1.4em;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.adm-button-loading-wrapper>.adm-loading {
  opacity: .6;
}
.adm-dot-loading {
  display: inline-block;
}
.adm-image {
  --width: var(--adm-image-width, auto);
  --height: var(--adm-image-height, auto);
  width: var(--width);
  height: var(--height);
  display: block;
  overflow: hidden;
}

.adm-image-img {
  width: 100%;
  height: 100%;
}

.adm-image-tip {
  position: relative;
  background-color: var(--adm-color-fill-content);
  height: 100%;
  min-height: 0.24rem;
  min-width: 0.24rem;
}

.adm-image-tip>svg {
  width: 0.24rem;
  height: 0.24rem;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  color: var(--adm-color-weak);
}
.adm-space-item {
  -webkit-box-flex: 0;
  -webkit-flex: none;
  -ms-flex: none;
  flex: none;
}

.adm-space {
  display: -webkit-inline-box;
  display: -webkit-inline-flex;
  display: -ms-inline-flexbox;
  display: inline-flex;
  --gap: 0.08rem;
  --gap-vertical: var(--gap);
  --gap-horizontal: var(--gap);
}

.adm-space-vertical {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
}

.adm-space-vertical>.adm-space-item {
  margin-bottom: var(--gap-vertical);
}

.adm-space-vertical>.adm-space-item:last-child {
  margin-bottom: 0;
}

.adm-space-horizontal {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
}

.adm-space-horizontal>.adm-space-item {
  margin-right: var(--gap-horizontal);
}

.adm-space-horizontal>.adm-space-item:last-child {
  margin-right: 0;
}

.adm-space-horizontal.adm-space-wrap {
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-bottom: calc(var(--gap-vertical)*-1);
}

.adm-space-horizontal.adm-space-wrap>.adm-space-item {
  padding-bottom: var(--gap-vertical);
}

.adm-space.adm-space-block {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.adm-space-align-center {
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
}

.adm-space-align-start {
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
}

.adm-space-align-end {
  -webkit-box-align: end;
  -webkit-align-items: flex-end;
  -ms-flex-align: end;
  align-items: flex-end;
}

.adm-space-align-baseline {
  -webkit-box-align: baseline;
  -webkit-align-items: baseline;
  -ms-flex-align: baseline;
  align-items: baseline;
}

.adm-space-justify-center {
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.adm-space-justify-start {
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.adm-space-justify-end {
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

.adm-space-justify-between {
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.adm-space-justify-around {
  -webkit-justify-content: space-around;
  -ms-flex-pack: distribute;
  justify-content: space-around;
}

.adm-space-justify-evenly {
  -webkit-box-pack: space-evenly;
  -webkit-justify-content: space-evenly;
  -ms-flex-pack: space-evenly;
  justify-content: space-evenly;
}

.adm-space-justify-stretch {
  -webkit-box-pack: stretch;
  -webkit-justify-content: stretch;
  -ms-flex-pack: stretch;
  justify-content: stretch;
}
.adm-auto-center {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}

.adm-auto-center-content {
  -webkit-box-flex: 0;
  -webkit-flex: 0 1 auto;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
}
.adm-center-popup {
  --background-color: var(--adm-center-popup-background-color, var(--adm-color-background));
  --border-radius: var(--adm-center-popup-border-radius, 0.08rem);
  --max-width: var(--adm-center-popup-max-width, 75vw);
  --min-width: var(--adm-center-popup-min-width, 2.8rem);
  --z-index: var(--adm-center-popup-z-index, 1000);
  position: fixed;
  z-index: var(--z-index);
}

.adm-center-popup .adm-center-popup-mask {
  z-index: 0;
}

.adm-center-popup-wrap {
  position: fixed;
  z-index: 1;
  top: 50%;
  left: 50%;
  width: auto;
  min-width: var(--min-width);
  max-width: var(--max-width);
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.adm-center-popup-body {
  background-color: var(--background-color);
  border-radius: var(--border-radius);
}

.adm-center-popup-close {
  position: absolute;
  z-index: 100;
  right: 0.08rem;
  top: 0.08rem;
  cursor: pointer;
  padding: 0.04rem;
  font-size: 0.18rem;
  color: var(--adm-color-weak);
}
.adm-mask {
  --z-index: var(--adm-mask-z-index, 1000);
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-index);
  display: block;
  width: 100%;
  height: 100%;
}

.adm-mask-aria-button {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}

.adm-mask-content {
  z-index: 1;
}
